<?php

namespace App\DTO\Settings;

final class TextsDTO
{
    private string $textNoMoreProducts;
    private string $textEmptyCart;
    private string $textOrderCreatedSuccess;
    private string $textManagerButton;

    public function __construct(
        string $textNoMoreProducts,
        string $textEmptyCart,
        string $textOrderCreatedSuccess,
        string $textManagerButton
    ) {
        $this->textNoMoreProducts = $textNoMoreProducts;
        $this->textEmptyCart = $textEmptyCart;
        $this->textOrderCreatedSuccess = $textOrderCreatedSuccess;
        $this->textManagerButton = $textManagerButton;
    }

    public function getTextNoMoreProducts(): string
    {
        return $this->textNoMoreProducts;
    }

    public function getTextEmptyCart(): string
    {
        return $this->textEmptyCart;
    }

    public function getTextOrderCreatedSuccess(): string
    {
        return $this->textOrderCreatedSuccess;
    }

    public function getTextManagerButton(): string
    {
        return $this->textManagerButton;
    }

    public function toArray(): array
    {
        return [
            'text_no_more_products' => $this->textNoMoreProducts,
            'text_empty_cart' => $this->textEmptyCart,
            'text_order_created_success' => $this->textOrderCreatedSuccess,
            'text_manager_button' => $this->textManagerButton,
        ];
    }
}
